## rp-pppoe 1.0-1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#***********************************************************************
#
# Makefile
#
# Makefile for Roaring Penguin's Linux user-space PPPoE client.
#
# Copyright (C) 1999 Roaring Penguin Software Inc.
#
# This program may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
#
# $Id: Makefile.in,v 1.2 2000/01/10 22:34:26 dfs Exp $
#***********************************************************************

DEFINES= 
POSIX_DEFINE=-D_POSIX_SOURCE=1

CFLAGS= -Wall -pedantic -ansi -O2 $(DEFINES) $(POSIX_DEFINE)

# Version is set ONLY IN THE MAKEFILE!  Don't delete this!
VERSION= 1.0

pppoe: pppoe.o
	gcc -o pppoe pppoe.o $(LIBS)

pppoe.o: pppoe.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o pppoe.o pppoe.c

distro:
	rm -rf rp-pppoe-$(VERSION)
	mkdir rp-pppoe-$(VERSION)
	cp HOW-TO-CONNECT LICENSE Makefile.in configure.in config.h.in configure README firewall pap-secrets pppoe.8 pppoe.c pppoe.h adsl-connect adsl-state.pl rp-pppoe-$(VERSION)
	tar cvf rp-pppoe-$(VERSION).tar rp-pppoe-$(VERSION)/*
	gzip -v -9 rp-pppoe-$(VERSION).tar

clean:
	rm -f *.o pppoe core *~

distclean: clean
	rm -f Makefile config.h config.cache config.log config.status

.PHONY: clean

.PHONY: distclean

=== debian/changelog ===
rp-pppoe (1.0-1) unstable; urgency=low

  * Upgraded to new upstream release.
  * Added copyright statement in copyright file.

 -- Christian Hudon <chrish@debian.org>  Wed, 12 Jan 2000 20:28:01 -0500

rp-pppoe (0.99b-1) unstable; urgency=low

  * Initial Debian release.

 -- Christian Hudon <chrish@debian.org>  Thu, 30 Dec 1999 21:07:44 -0500

=== debian/control ===
Source: rp-pppoe
Maintainer: Christian Hudon <chrish@debian.org>
Standards-Version: 3.1.1.0
Section: net
Priority: optional
Source-Depends: autoconf

Package: pppoe
Architecture: any
Depends: ${shlibs:Depends}, ppp (>= 2.3.10-1)
Description: PPP over Ethernet driver
 PPP over Ethernet (PPPoE) is a protocol used by
 many ADSL Internet service providers. This package allows
 you to connect to those PPPoE service providers.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir
	test -f configure || (aclocal; autoconf)
	test -f Makefile || ./configure
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testversion 1
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/sbin etc/ppp/peers
	install -s -m 0755 -o root -g root pppoe debian/tmp/usr/sbin/pppoe
	install -m 0640 -o root -g dip debian/dsl-provider debian/tmp/etc/ppp/peers/dsl-provider
	dh_installdocs
	dh_installexamples
	dh_installmanpages
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rp-pppoe 3.8-1

=== debian/changelog ===
rp-pppoe (3.8-1) unstable; urgency=low

  * New upstream release
  * Upstream incorporated different version of security patch for -D and -p
    that drops priviledges for these options. Dropping Debian patch.
  
 -- Christian Hudon <chrish@debian.org>  Tue, 25 Apr 2006 20:53:50 -0400

rp-pppoe (3.5-4) unstable; urgency=high

  * Added patch by Max Vozeler <max@hinterhof.net> to ignore -D and -p
    when pppoe is not running as root to prevent a potential root
    compromise by users in group dip when pppoe is running setuid root.
    [src/pppoe.c, CAN-2004-0564] Note that group dip is empty by default
    on Debian installs.
  
 -- Christian Hudon <chrish@debian.org>  Wed, 29 Sep 2004 22:08:20 -0400

rp-pppoe (3.5-3) unstable; urgency=medium

  * Oops! pppoe should be installed setuid root, not setgid dip to close
  bugs 102050 and 172376! Still installed without the execute bit for other, so
  safe from a security standpoint, since group dip is empty by default.
  * Remove debian/conffiles since debconf 4 creates it.

 -- Christian Hudon <chrish@debian.org>  Tue, 16 Sep 2003 15:06:35 -0400

rp-pppoe (3.5-2) unstable; urgency=low

  * Release based on work done by Marco d'Itri.
  * Ship /usr/sbin/pppoe sgid dip, but not executable by other.
  (Closes: #102050, #172376)
  * Set $PATH in ppp_on_boot.dsl. (Closes: #133580, #138878)
  * Add to dsl-provider the options noaccomp and default-asyncmap,
    which are required by the RFC. README.Debian updated.
    (Closes: #185362, #171549)
  * Add to dsl-provider the option usepeerdns, as pppd will try to use
    it by default. README.Debian updated.
  * Remove from ppp_on_boot.dsl the call to ifconfig, debian pppoe can
    set up the interface since 3.2-1. README.Debian updated.
  * Add a note to README.Debian about the kernel options needed by pppoe.
    (Closes: #159519)
  * Stop installing KERNEL-MODE-PPPOE, the ppp package provides this.
  * Remove .pppoe.prcs_aux too in the clean target.

 -- Christian Hudon <chrish@debian.org>  Tue, 16 Sep 2003 14:24:51 -0400

rp-pppoe (3.5-1) unstable; urgency=low

  * New upstream release.
  * Remove prcs merge log (pppoe.log) during debian/rules clean.
  * Add note about default-asyncmap to README.Debian, pending further
    investigation.
  * Add note to README.Debian about T-Online users needing to quote the 
    username in the dsl-provider file. (Closes: #132996)

 -- Christian Hudon <chrish@debian.org>  Mon, 24 Mar 2003 20:22:00 -0500

rp-pppoe (3.3-1.2) unstable; urgency=low

  * NMU during bug squashing party.
  * Applied patch from Thomas Antepoth to src/if.c (closes: #124175),
    see http://www.voy.com/41165/2/1244.html

 -- Josselin Mouette <joss@debian.org>  Sun,  1 Sep 2002 11:04:12 +0200

rp-pppoe (3.3-1.1) unstable; urgency=low

  * Non Maintainer Upload.
  * mark /etc/ppp/ppp_on_boot.dsl as conffile (closes: #132117)
  * use full path in /etc/ppp/peers/dsl-provider ppp_on_boot.dsl 
    (closes: #111551)
  * small fix so can build on potato (closes: #117316)
  * remove references to adsl-* in manpages and point user to 
    /usr/share/doc/pppoe/README.Debian (closes: #71840)

 -- David Kimdon <dwhedon@debian.org>  Sun,  3 Feb 2002 16:44:55 -0800

rp-pppoe (3.3-1) unstable; urgency=low

  * New upstream release. (Closes: #113885)
  * Default to "-m 1452" in dsl-provider. (Closes: #113300)

 -- Christian Hudon <chrish@debian.org>  Thu,  1 Nov 2001 15:28:10 -0500

rp-pppoe (3.2-1) unstable; urgency=low

  * New upstream release.
  * Replaced wrapper by patch from Eduard Bloch that makes pppoe bring
    the interface up if it wasn't up. (Closes: #106970)
  * Bugs fixed in this or a previous release: 
    closes: #94540, #83918, #70834, #72065, #80137, #86226, #79319, #75443, #67863, #79529, #88499, #91330.

 -- Christian Hudon <chrish@debian.org>  Mon, 20 Aug 2001 19:26:45 -0400

rp-pppoe (3.0-4) unstable; urgency=high

  * Remove -arp switch from ppp_on_boot and pppoe wrapper. This breaks
    networks were the DSL modem is connected to a hub and not directly to
    a network interface. (Closes: #100833)

 -- Christian Hudon <chrish@debian.org>  Thu, 14 Jun 2001 13:52:42 -0400

rp-pppoe (3.0-3) unstable; urgency=low

  * Added instructions on how to set up pppoe to work with pon, for people
    that are billed by their DSL provider for minutes connected. (Which is
    somewhat odd...)
  * Wrapper around pppoe to automatically bring up the interface that will
    be used by pppoe. Needed for pon support because /etc/network/interfaces
    doesn't support bringing up an interface without assigning it an
    IP address, and pon doesn't support the execution of arbitrary
    commands before the execution of pppd. (Well, except for ppp_on_boot,
    which we don't want to use in this case.)
  * Also added instructions on how to use demand-dialing.
  * Corrected thinko in README.Debian file.

 -- Christian Hudon <chrish@debian.org>  Mon, 11 Jun 2001 15:44:47 -0400

rp-pppoe (3.0-2) unstable; urgency=low

  * New upstream release.
  * Rewrote and simplified installation instructions. (Next version will
    hopefully also offer a debconf install.)
  * Added user-contributed tips section to the README.Debian file.
  * Modifications and improvements from changes suggested by Eduard Bloch.

 -- Christian Hudon <chrish@debian.org>  Wed, 23 May 2001 00:41:29 -0400

rp-pppoe (2.8-0.1) unstable; urgency=low

  * NMU.
  * New upstream version. (Closes: #83918, #72065, #80137)
  * Changed debian/rules to install everything, then remove the
    unwanted scripts.
  * Corrected Source-Depends to Build-Depends, and added debhelper and
    ppp.

 -- Daniel Schepler <schepler@debian.org>  Sat, 17 Mar 2001 22:21:59 -0800

rp-pppoe (1.7-1) unstable; urgency=low

  * Updated to latest upstream release.

 -- Christian Hudon <chrish@debian.org>  Fri, 21 Apr 2000 15:14:57 -0400

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
#	test -f configure || (aclocal; autoconf)
	test -f src/Makefile || (cd src && ./configure)
	$(MAKE) -C src
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-rm -f pppoe.prj pppoe.log .pppoe.prcs_aux
	-$(MAKE) -C src distclean
	-$(MAKE) -C gui distclean
	rm -f src/pppoe-relay
	-rm -f debian/substvars.debhelper
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/sbin usr/share
	$(MAKE) -C src install RPM_INSTALL_ROOT="`pwd`/debian/pppoe"
#	Now clean out unwanted things, and move others to their places
	rm -rf debian/pppoe/etc/ppp debian/pppoe/usr/doc
	rm -rf debian/pppoe/usr/man/man5  # pppoe.conf manpage
	rm -f debian/pppoe/usr/sbin/adsl-* debian/pppoe/usr/man/man8/adsl-*
	dh_installdirs etc/ppp/peers
	mv debian/pppoe/usr/man debian/pppoe/usr/share/man
	install -m 0640 -o root -g dip debian/dsl-provider \
		debian/pppoe/etc/ppp/peers/dsl-provider
	install -m 750 -o root -g dip debian/ppp_on_boot.dsl \
		debian/pppoe/etc/ppp/
	dh_installdocs
	dh_installexamples
#	dh_installmanpages
	dh_installchangelogs doc/CHANGES
	dh_link
	dh_strip
	dh_compress
#	dh_fixperms
	chgrp dip debian/pppoe/usr/sbin/pppoe
	chmod u+s debian/pppoe/usr/sbin/pppoe
	chmod o-x debian/pppoe/usr/sbin/pppoe
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rp-pppoe 3.8-1.1

=== Makefile ===
# Makefile.  Generated from Makefile.in by configure.
#***********************************************************************
#
# Makefile
#
# Makefile for Roaring Penguin's Linux user-space PPPoE client.
#
# Copyright (C) 2000 Roaring Penguin Software Inc.
#
# This program may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
#
# LIC: GPL
#
# $Id: Makefile.in,v 1.90 2006/02/23 15:38:45 dfs Exp $
#***********************************************************************

# Version is set ONLY IN THE MAKEFILE!  Don't delete this!
VERSION=3.8

DEFINES=
prefix=/usr
exec_prefix=${prefix}
mandir=${prefix}/man
docdir=/usr/share/doc/rp-pppoe-$(VERSION)
install=/usr/bin/install -c
install_dir=/usr/bin/install -c -d
sbindir=${exec_prefix}/sbin

# Plugin for pppd on Linux
LINUX_KERNELMODE_PLUGIN=
PPPD_INCDIR=

# Licensed version
LIC_INCDIR=
LIC_LIBDIR=
LIC_LIB=
LIC_DEFINE=

# PPPoE relay -- currently only supported on Linux
PPPOE_RELAY=pppoe-relay

# Program paths
PPPOE_PATH=$(sbindir)/pppoe
PPPD_PATH=/usr/sbin/pppd

# Include ServPoET version if we're building for ServPoET


# Kernel-mode plugin gets installed here.
PLUGIN_DIR=/etc/ppp/plugins
PLUGIN_PATH=$(PLUGIN_DIR)/rp-pppoe.so

# Configuration file paths
PPPOESERVER_PPPD_OPTIONS=/etc/ppp/pppoe-server-options

PATHS='-DPPPOE_PATH="$(PPPOE_PATH)"' '-DPPPD_PATH="$(PPPD_PATH)"' \
	'-DPLUGIN_PATH="$(PLUGIN_PATH)"' \
	'-DPPPOE_SERVER_OPTIONS="$(PPPOESERVER_PPPD_OPTIONS)"'

CFLAGS= -g -O2 -Wall -Wstrict-prototypes -ansi $(LIC_INCDIR) $(DEFINES) $(LIC_DEFINE) $(PATHS) -Ilibevent
TARGETS=pppoe pppoe-server pppoe-sniff pppoe-relay
PPPOE_SERVER_LIBS=$(LIC_LIBDIR) $(LIC_LIB)

all: $(TARGETS)
	@echo ""
	@echo "Type 'make install' as root to install the software."

pppoe-sniff: pppoe-sniff.o if.o common.o debug.o
	gcc -o pppoe-sniff pppoe-sniff.o if.o common.o debug.o

pppoe-server: pppoe-server.o if.o debug.o common.o md5.o libevent/libevent.a 
	gcc -o pppoe-server  pppoe-server.o if.o debug.o common.o md5.o $(PPPOE_SERVER_LIBS) -Llibevent -levent

pppoe: pppoe.o if.o debug.o common.o ppp.o discovery.o
	gcc -o pppoe pppoe.o if.o debug.o common.o ppp.o discovery.o

pppoe-relay: relay.o if.o debug.o common.o
	gcc -o pppoe-relay relay.o if.o debug.o common.o

pppoe.o: pppoe.c pppoe.h
	gcc $(CFLAGS) -DAUTO_IFUP '-DVERSION="$(VERSION)"' -c -o pppoe.o pppoe.c

discovery.o: discovery.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o discovery.o discovery.c

ppp.o: ppp.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o ppp.o ppp.c

md5.o: md5.c md5.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o md5.o md5.c

pppoe-server.o: pppoe-server.c pppoe.h 
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o pppoe-server.o pppoe-server.c

pppoe-sniff.o: pppoe-sniff.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o pppoe-sniff.o pppoe-sniff.c

if.o: if.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o if.o if.c

libevent/libevent.a:
	cd libevent && $(MAKE)

common.o: common.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o common.o common.c

debug.o: debug.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o debug.o debug.c

relay.o: relay.c relay.h pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o relay.o relay.c

# Linux-specific plugin
rp-pppoe.so: plugin/libplugin.a plugin/plugin.o
	gcc -o rp-pppoe.so -shared plugin/plugin.o plugin/libplugin.a

plugin/plugin.o: plugin.c
	gcc '-DRP_VERSION="$(VERSION)"' $(CFLAGS) -I$(PPPD_INCDIR) -c -o plugin/plugin.o -fPIC plugin.c

plugin/libplugin.a: plugin/discovery.o plugin/if.o plugin/common.o plugin/debug.o
	ar -rc $@ $^

plugin/discovery.o: discovery.c
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o plugin/discovery.o -fPIC discovery.c

plugin/if.o: if.c
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o plugin/if.o -fPIC if.c

plugin/debug.o: debug.c
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o plugin/debug.o -fPIC debug.c

plugin/common.o: common.c
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o plugin/common.o -fPIC common.c

install: all
	-mkdir -p $(RPM_INSTALL_ROOT)$(sbindir)
	$(install) -m 755 pppoe $(RPM_INSTALL_ROOT)$(sbindir)
	$(install) -m 755 pppoe-server $(RPM_INSTALL_ROOT)$(sbindir)
	if test -x licensed-only/pppoe-server-control ; then $(install) -m 755 licensed-only/pppoe-server-control $(RPM_INSTALL_ROOT)$(sbindir); fi
	if test -x pppoe-relay ; then $(install) -m 755 pppoe-relay $(RPM_INSTALL_ROOT)$(sbindir); fi
	if test -x pppoe-sniff; then $(install) -m 755 pppoe-sniff $(RPM_INSTALL_ROOT)$(sbindir); fi
	$(install) -m 755 ../scripts/pppoe-connect $(RPM_INSTALL_ROOT)$(sbindir)
	$(install) -m 755 ../scripts/pppoe-start $(RPM_INSTALL_ROOT)$(sbindir)
	$(install) -m 755 ../scripts/pppoe-status $(RPM_INSTALL_ROOT)$(sbindir)
	$(install) -m 755 ../scripts/pppoe-stop $(RPM_INSTALL_ROOT)$(sbindir)
	$(install) -m 755 ../scripts/pppoe-setup $(RPM_INSTALL_ROOT)$(sbindir)
	-mkdir -p $(RPM_INSTALL_ROOT)$(docdir)
	$(install) -m 644 ../doc/CHANGES $(RPM_INSTALL_ROOT)$(docdir)
	$(install) -m 644 ../doc/KERNEL-MODE-PPPOE $(RPM_INSTALL_ROOT)$(docdir)
	$(install) -m 644 ../doc/HOW-TO-CONNECT $(RPM_INSTALL_ROOT)$(docdir)
	$(install) -m 644 ../doc/LICENSE $(RPM_INSTALL_ROOT)$(docdir)
	$(install) -m 644 ../README $(RPM_INSTALL_ROOT)$(docdir)
	$(install) -m 644 ../SERVPOET $(RPM_INSTALL_ROOT)$(docdir)
	$(install) -m 644 ../configs/pap-secrets $(RPM_INSTALL_ROOT)$(docdir)
	-mkdir -p $(RPM_INSTALL_ROOT)$(mandir)/man8
	for i in $(TARGETS) ; do \
		if test -f ../man/$$i.8 ; then \
			$(install) -m 644 ../man/$$i.8 $(RPM_INSTALL_ROOT)$(mandir)/man8 || exit 1; \
		fi; \
	done
	$(install) -m 644 ../man/pppoe-start.8 $(RPM_INSTALL_ROOT)$(mandir)/man8
	$(install) -m 644 ../man/pppoe-stop.8 $(RPM_INSTALL_ROOT)$(mandir)/man8
	$(install) -m 644 ../man/pppoe-status.8 $(RPM_INSTALL_ROOT)$(mandir)/man8
	$(install) -m 644 ../man/pppoe-connect.8 $(RPM_INSTALL_ROOT)$(mandir)/man8
	$(install) -m 644 ../man/pppoe-setup.8 $(RPM_INSTALL_ROOT)$(mandir)/man8
	-mkdir -p $(RPM_INSTALL_ROOT)$(mandir)/man5
	$(install) -m 644 ../man/pppoe.conf.5 $(RPM_INSTALL_ROOT)$(mandir)/man5
	-mkdir -p $(RPM_INSTALL_ROOT)/etc/ppp
	-mkdir -p $(RPM_INSTALL_ROOT)$(PLUGIN_DIR)
	-echo "# Directory created by rp-pppoe for kernel-mode plugin" > $(RPM_INSTALL_ROOT)$(PLUGIN_DIR)/README
	@if test -r rp-pppoe.so; then $(install) -m 755 rp-pppoe.so $(RPM_INSTALL_ROOT)$(PLUGIN_DIR); fi
	@for i in pppoe.conf firewall-standalone firewall-masq ; do \
		if [ ! -f $(RPM_INSTALL_ROOT)/etc/ppp/$$i ] ; then \
			$(install) -m 644 ../configs/$$i $(RPM_INSTALL_ROOT)/etc/ppp ; \
		else \
			echo "NOT overwriting existing $(RPM_INSTALL_ROOT)/etc/ppp/$$i" ;\
			$(install) -m 644 ../configs/$$i $(RPM_INSTALL_ROOT)/etc/ppp/$$i-$(VERSION) ;\
		fi ;\
	done
	@if [ ! -f $(RPM_INSTALL_ROOT)$(PPPOESERVER_PPPD_OPTIONS) ] ; then \
		$(install) -m 644 ../configs/pppoe-server-options $(RPM_INSTALL_ROOT)$(PPPOESERVER_PPPD_OPTIONS) ; \
	else \
		echo "NOT overwriting existing $(RPM_INSTALL_ROOT)$(PPPOESERVER_PPPD_OPTIONS)"; \
		$(install) -m 644 ../configs/pppoe-server-options $(RPM_INSTALL_ROOT)$(PPPOESERVER_PPPD_OPTIONS)-example ; \
	fi
	@if [ -f /etc/redhat-release ] ; then \
		echo "Looks like a Red Hat system; installing $(RPM_INSTALL_ROOT)/etc/rc.d/init.d/pppoe" ; \
		mkdir -p $(RPM_INSTALL_ROOT)/etc/rc.d/init.d ;\
		$(install) -m 755 ../scripts/pppoe-init $(RPM_INSTALL_ROOT)/etc/rc.d/init.d/pppoe ; \
	fi
	@if [ -f /etc/turbolinux-release ] ; then \
		echo "Looks like a TurboLinux system; installing $(RPM_INSTALL_ROOT)/etc/rc.d/init.d/pppoe" ; \
		mkdir -p $(RPM_INSTALL_ROOT)/etc/rc.d/init.d ;\
		$(install) -m 755 ../scripts/pppoe-init-turbolinux $(RPM_INSTALL_ROOT)/etc/rc.d/init.d/pppoe ; \
	fi
	@if [ -f /etc/SuSE-release ] ; then \
		echo "Looks like a SuSE Linux system; installing $(RPM_INSTALL_ROOT)/etc/rc.d/init.d/pppoe" ; \
		mkdir -p $(RPM_INSTALL_ROOT)/etc/rc.d/init.d ;\
		$(install) -m 755 ../scripts/pppoe-init-suse $(RPM_INSTALL_ROOT)/etc/rc.d/init.d/pppoe ; \
	fi

	# L2TP
	@if [ -f l2tp/handlers/sync-pppd.so ] ; then \
		mkdir -p $(RPM_INSTALL_ROOT)/usr/lib/l2tp/plugins ; \
		$(install) -m 755 l2tp/handlers/sync-pppd.so $(RPM_INSTALL_ROOT)/usr/lib/l2tp/plugins ; \
		mkdir -p $(RPM_INSTALL_ROOT)/etc/l2tp ; \
		$(install) -m 600 l2tp/l2tp.conf $(RPM_INSTALL_ROOT)/etc/l2tp/l2tp.conf.example ; \
	fi
	@echo ""
	@echo "Type 'pppoe-setup' to configure the software."

servpoet-tgz: distro-servpoet
	cd .. && tar cvf servpoet-$(VERSION)$(BETA).tar servpoet-$(VERSION)$(BETA)
	gzip -f -v -9 ../servpoet-$(VERSION)$(BETA).tar
	rm -rf ../servpoet-$(VERSION)$(BETA)

tgz: distro
	cd .. && tar cvf rp-pppoe-$(VERSION)$(BETA).tar rp-pppoe-$(VERSION)$(BETA)
	gzip -f -v -9 ../rp-pppoe-$(VERSION)$(BETA).tar
	rm -rf ../rp-pppoe-$(VERSION)$(BETA)

distro-servpoet: distro
	cp ../servpoet.spec ../rp-pppoe-$(VERSION)$(BETA)
	$(MAKE) -C licensed-only distro VERSION=$(VERSION) BETA=$(BETA)
	mv ../rp-pppoe-$(VERSION)$(BETA) ../servpoet-$(VERSION)$(BETA)

distro:
	rm -rf ../rp-pppoe-$(VERSION)$(BETA)
	mkdir ../rp-pppoe-$(VERSION)$(BETA)
	for i in README SERVPOET go go-gui rp-pppoe.spec ; do \
		cp ../$$i ../rp-pppoe-$(VERSION)$(BETA) || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/gui
	for i in en.msg ja.msg Makefile.in tkpppoe.in wrapper.c tkpppoe.1 pppoe-wrapper.1 ; do \
		cp ../gui/$$i ../rp-pppoe-$(VERSION)$(BETA)/gui || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/gui/html
	for i in mainwin-busy.png mainwin-nonroot.png mainwin.png props-advanced.png props-basic.png props-nic.png props-options.png tkpppoe.html ; do \
		cp ../gui/html/$$i ../rp-pppoe-$(VERSION)$(BETA)/gui/html || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/configs
	for i in firewall-masq firewall-standalone pap-secrets pppoe-server-options pppoe.conf ; do \
		cp ../configs/$$i ../rp-pppoe-$(VERSION)$(BETA)/configs || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/doc
	for i in CHANGES KERNEL-MODE-PPPOE HOW-TO-CONNECT LICENSE PROBLEMS ; do \
		cp ../doc/$$i ../rp-pppoe-$(VERSION)$(BETA)/doc || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/man
	for i in pppoe-connect.8 pppoe-setup.8 pppoe-start.8 pppoe-status.8 pppoe-stop.8 pppoe-server.8 pppoe-sniff.8 pppoe.8 pppoe-relay.8 pppoe.conf.5 ; do \
		cp ../man/$$i ../rp-pppoe-$(VERSION)$(BETA)/man || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/scripts
	for i in pppoe-connect.in pppoe-init-suse.in pppoe-init-turbolinux.in pppoe-init.in pppoe-setup.in pppoe-start.in pppoe-stop.in pppoe-status ; do \
		cp ../scripts/$$i ../rp-pppoe-$(VERSION)$(BETA)/scripts || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/src
	for i in Makefile.in install-sh common.c config.h.in configure configure.in debug.c discovery.c if.c md5.c md5.h ppp.c pppoe-server.c pppoe-sniff.c pppoe.c pppoe.h pppoe-server.h plugin.c relay.c relay.h ; do \
		cp ../src/$$i ../rp-pppoe-$(VERSION)$(BETA)/src || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/src/libevent
	for i in Makefile.in event.c event.h event_tcp.c event_tcp.h eventpriv.h hash.c hash.h event_sig.c ; do \
		cp ../src/libevent/$$i ../rp-pppoe-$(VERSION)$(BETA)/src/libevent || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/src/plugin

distro-beta: beta-check
	$(MAKE) distro BETA=-BETA-$(BETA)

beta-check:
	@if test "$(BETA)" = "" ; then \
		echo "Usage: make distro-beta BETA=<x>"; \
		exit 1; \
	fi

rpms: tgz
	cp ../rp-pppoe-$(VERSION).tar.gz /usr/src/redhat/SOURCES
	gpg --detach-sign /usr/src/redhat/SOURCES/rp-pppoe-$(VERSION).tar.gz
	cd ..; \
	rpm -ba rp-pppoe.spec
	rpm --addsign /usr/src/redhat/SRPMS/rp-pppoe-$(VERSION)-1.src.rpm \
		/usr/src/redhat/RPMS/i386/rp-pppoe-$(VERSION)-1.i386.rpm \
		/usr/src/redhat/RPMS/i386/rp-pppoe-gui-$(VERSION)-1.i386.rpm

servpoet-rpms: servpoet-tgz
	cp ../servpoet-$(VERSION).tar.gz /usr/src/redhat/SOURCES
	cd .. && rpm -ba servpoet.spec

clean:
	rm -f *.o pppoe pppoe-sniff pppoe-server core rp-pppoe.so plugin/*.o plugin/libplugin.a *~

=== libevent/Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id: Makefile.in,v 1.4 2004/08/11 14:21:40 dfs Exp $
#
# Makefile for event-handling library
#
# Copyright 2002 Roaring Penguin Software Inc.
#
# This software may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
# LIC: GPL

OBJS=event.o event_tcp.o hash.o event_sig.o
SRCS=$(OBJS:.o=.c)
HDRS=event.h event_tcp.h eventpriv.h hash.h
CFLAGS=-g -O2 -Wall -Wstrict-prototypes -ansi -I..
AR=ar

all: libevent.a

libevent.a: $(OBJS)
	rm -f libevent.a
	$(AR) -cq libevent.a $(OBJS)
	ranlib libevent.a

event.o: event.c $(HDRS)
	gcc $(CFLAGS) -c -o event.o event.c

hash.o: hash.c $(HDRS)
	gcc $(CFLAGS) -c -o hash.o hash.c

event_sig.o: event_sig.c $(HDRS)
	gcc $(CFLAGS) -c -o event_sig.o event_sig.c

event_tcp.o: event_tcp.c $(HDRS)
	gcc $(CFLAGS) -c -o event_tcp.o event_tcp.c

clean: FORCE
	rm -f *.a *.o *~

FORCE:

.phony: FORCE

=== debian/changelog ===
rp-pppoe (3.8-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Hardcode path to pppd so that pppoe works even when there is no
    pppd installed in the compilation chroot. Closes: #380584

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 27 Nov 2006 12:20:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: rp-pppoe
 Maintainer: Christian Hudon <chrish@debian.org>
-Standards-Version: 3.1.1.0
+Standards-Version: 3.6.0
 Section: net
 Priority: optional
-Source-Depends: autoconf
+Build-Depends: debhelper (> 4)
 
 Package: pppoe
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 build-stamp:
 	dh_testdir
 #	test -f configure || (aclocal; autoconf)
-	test -f src/Makefile || (cd src && ./configure)
+	test -f src/Makefile || (cd src && PPPD=/usr/sbin/pppd ./configure)
 	$(MAKE) -C src
 	touch build-stamp

## rp-pppoe 3.10-1

=== gui/Makefile ===
# ../gui/Makefile.  Generated from Makefile.in by configure.
#***********************************************************************
#
# Makefile
#
# Makefile for GUI for Roaring Penguin's Linux user-space PPPoE client.
#
# Copyright (C) 2001 Roaring Penguin Software Inc.
#
# This program may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
#
# LIC: GPL
#
# $Id$
#***********************************************************************
DEFINES=
prefix=/usr
exec_prefix=${prefix}
mandir=${prefix}/share/man
install=/scratchbox/tools/bin/install -c
install_dir=/scratchbox/tools/bin/install -c -d
sbindir=${exec_prefix}/sbin
bindir=${exec_prefix}/bin
datadir=${prefix}/share

PPPOE_START_PATH=${exec_prefix}/sbin/pppoe-start
PPPOE_STOP_PATH=${exec_prefix}/sbin/pppoe-stop
PPPOE_STATUS_PATH=${exec_prefix}/sbin/pppoe-status

PATHS='-DPPPOE_START_PATH="$(PPPOE_START_PATH)"' '-DPPPOE_STOP_PATH="$(PPPOE_STOP_PATH)"' '-DPPPOE_STATUS_PATH="$(PPPOE_STATUS_PATH)"'

CFLAGS= -g -O2 -Wall -Wstrict-prototypes $(DEFINES) $(PATHS)

all: pppoe-wrapper
	@echo ""
	@echo "Type 'make install' as root to install the software."

pppoe-wrapper: wrapper.o
	gcc -o pppoe-wrapper wrapper.o

wrapper.o: wrapper.c
	gcc $(CFLAGS) -c -o wrapper.o wrapper.c

install: all
	-mkdir -p $(DESTDIR)$(sbindir)
	-mkdir -p $(DESTDIR)$(bindir)
	-mkdir -p $(DESTDIR)/etc/ppp/rp-pppoe-gui
	$(install) -m 4755 -s pppoe-wrapper $(DESTDIR)$(sbindir)
	$(install) -m 755 tkpppoe $(DESTDIR)$(bindir)
	-mkdir -p $(DESTDIR)$(mandir)/man1
	$(install) -m 644 pppoe-wrapper.1 $(DESTDIR)$(mandir)/man1
	$(install) -m 644 tkpppoe.1 $(DESTDIR)$(mandir)/man1
	-mkdir -p $(DESTDIR)$(datadir)/tkpppoe
	for i in tkpppoe.html mainwin-busy.png mainwin-nonroot.png mainwin.png props-advanced.png props-basic.png props-nic.png props-options.png; do \
		$(install) -m 644 html/$$i $(DESTDIR)$(datadir)/tkpppoe; \
	done
	for i in en.msg ja.msg; do \
		$(install) -m 644 $$i $(DESTDIR)$(datadir)/tkpppoe; \
	done

clean:
	rm -f *.o *~ pppoe-wrapper

distclean: clean
	rm -f Makefile tkpppoe

.PHONY: clean

.PHONY: distclean

=== src/Makefile ===
# Makefile.  Generated from Makefile.in by configure.
#***********************************************************************
#
# Makefile
#
# Makefile for Roaring Penguin's Linux user-space PPPoE client.
#
# Copyright (C) 2000 Roaring Penguin Software Inc.
#
# This program may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
#
# LIC: GPL
#
# $Id$
#***********************************************************************

# Version is set ONLY IN THE MAKEFILE!  Don't delete this!
VERSION=3.10

DEFINES=
prefix=/usr
exec_prefix=${prefix}
mandir=${prefix}/share/man
docdir=/usr/share/doc/rp-pppoe-$(VERSION)
install=/scratchbox/tools/bin/install -c
install_dir=/scratchbox/tools/bin/install -c -d
sbindir=${exec_prefix}/sbin

# Plugin for pppd on Linux
LINUX_KERNELMODE_PLUGIN=
PPPD_INCDIR=/usr/include

# Licensed version
LIC_INCDIR=
LIC_LIBDIR=
LIC_LIB=
LIC_DEFINE=

# PPPoE relay -- currently only supported on Linux
PPPOE_RELAY=pppoe-relay

# Program paths
PPPOE_PATH=$(sbindir)/pppoe
PPPD_PATH=/usr/sbin/pppd

# Include ServPoET version if we're building for ServPoET


# Kernel-mode plugin gets installed here.
PLUGIN_DIR=/etc/ppp/plugins
PLUGIN_PATH=$(PLUGIN_DIR)/rp-pppoe.so

# Configuration file paths
PPPOESERVER_PPPD_OPTIONS=/etc/ppp/pppoe-server-options

PATHS='-DPPPOE_PATH="$(PPPOE_PATH)"' '-DPPPD_PATH="$(PPPD_PATH)"' \
	'-DPLUGIN_PATH="$(PLUGIN_PATH)"' \
	'-DPPPOE_SERVER_OPTIONS="$(PPPOESERVER_PPPD_OPTIONS)"'

CFLAGS= -g -O2 -Wall -Wstrict-prototypes $(LIC_INCDIR) $(DEFINES) $(LIC_DEFINE) $(PATHS) -Ilibevent
TARGETS=pppoe pppoe-server pppoe-sniff pppoe-relay
PPPOE_SERVER_LIBS=$(LIC_LIBDIR) $(LIC_LIB)

all: $(TARGETS)
	@echo ""
	@echo "Type 'make install' as root to install the software."

pppoe-sniff: pppoe-sniff.o if.o common.o debug.o
	gcc -o pppoe-sniff pppoe-sniff.o if.o common.o debug.o

pppoe-server: pppoe-server.o if.o debug.o common.o md5.o libevent/libevent.a 
	gcc -o pppoe-server  pppoe-server.o if.o debug.o common.o md5.o $(PPPOE_SERVER_LIBS) -Llibevent -levent

pppoe: pppoe.o if.o debug.o common.o ppp.o discovery.o
	gcc -o pppoe pppoe.o if.o debug.o common.o ppp.o discovery.o

pppoe-relay: relay.o if.o debug.o common.o
	gcc -o pppoe-relay relay.o if.o debug.o common.o

pppoe.o: pppoe.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o pppoe.o pppoe.c

discovery.o: discovery.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o discovery.o discovery.c

ppp.o: ppp.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o ppp.o ppp.c

md5.o: md5.c md5.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o md5.o md5.c

pppoe-server.o: pppoe-server.c pppoe.h 
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o pppoe-server.o pppoe-server.c

pppoe-sniff.o: pppoe-sniff.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o pppoe-sniff.o pppoe-sniff.c

if.o: if.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o if.o if.c

libevent/libevent.a:
	cd libevent && $(MAKE) DEFINES="$(DEFINES)"

common.o: common.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o common.o common.c

debug.o: debug.c pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o debug.o debug.c

relay.o: relay.c relay.h pppoe.h
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o relay.o relay.c

# Linux-specific plugin
rp-pppoe.so: plugin/libplugin.a plugin/plugin.o
	gcc -o rp-pppoe.so -shared plugin/plugin.o plugin/libplugin.a

plugin/plugin.o: plugin.c
	gcc '-DRP_VERSION="$(VERSION)"' $(CFLAGS) -I$(PPPD_INCDIR) -c -o plugin/plugin.o -fPIC plugin.c

plugin/libplugin.a: plugin/discovery.o plugin/if.o plugin/common.o plugin/debug.o
	ar -rc $@ $^

plugin/discovery.o: discovery.c
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o plugin/discovery.o -fPIC discovery.c

plugin/if.o: if.c
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o plugin/if.o -fPIC if.c

plugin/debug.o: debug.c
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o plugin/debug.o -fPIC debug.c

plugin/common.o: common.c
	gcc $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o plugin/common.o -fPIC common.c

install: all
	-mkdir -p $(DESTDIR)$(sbindir)
	$(install) -m 755 pppoe $(DESTDIR)$(sbindir)
	$(install) -m 755 pppoe-server $(DESTDIR)$(sbindir)
	if test -x licensed-only/pppoe-server-control ; then $(install) -m 755 licensed-only/pppoe-server-control $(DESTDIR)$(sbindir); fi
	if test -x pppoe-relay ; then $(install) -m 755 pppoe-relay $(DESTDIR)$(sbindir); fi
	if test -x pppoe-sniff; then $(install) -m 755 pppoe-sniff $(DESTDIR)$(sbindir); fi
	$(install) -m 755 ../scripts/pppoe-connect $(DESTDIR)$(sbindir)
	$(install) -m 755 ../scripts/pppoe-start $(DESTDIR)$(sbindir)
	$(install) -m 755 ../scripts/pppoe-status $(DESTDIR)$(sbindir)
	$(install) -m 755 ../scripts/pppoe-stop $(DESTDIR)$(sbindir)
	$(install) -m 755 ../scripts/pppoe-setup $(DESTDIR)$(sbindir)
	#Not installing documentation in order to conserve space.
	#-mkdir -p $(DESTDIR)$(docdir)
	#$(install) -m 644 ../doc/CHANGES $(DESTDIR)$(docdir)
	#$(install) -m 644 ../doc/KERNEL-MODE-PPPOE $(DESTDIR)$(docdir)
	#$(install) -m 644 ../doc/HOW-TO-CONNECT $(DESTDIR)$(docdir)
	#$(install) -m 644 ../doc/LICENSE $(DESTDIR)$(docdir)
	#$(install) -m 644 ../README $(DESTDIR)$(docdir)
	#$(install) -m 644 ../SERVPOET $(DESTDIR)$(docdir)
	#$(install) -m 644 ../configs/pap-secrets $(DESTDIR)$(docdir)
	#-mkdir -p $(DESTDIR)$(mandir)/man8
	#for i in $(TARGETS) ; do \
	#	if test -f ../man/$$i.8 ; then \
	#		$(install) -m 644 ../man/$$i.8 $(DESTDIR)$(mandir)/man8 || exit 1; \
	#	fi; \
	#done
	#$(install) -m 644 ../man/pppoe-start.8 $(DESTDIR)$(mandir)/man8
	#$(install) -m 644 ../man/pppoe-stop.8 $(DESTDIR)$(mandir)/man8
	#$(install) -m 644 ../man/pppoe-status.8 $(DESTDIR)$(mandir)/man8
	#$(install) -m 644 ../man/pppoe-connect.8 $(DESTDIR)$(mandir)/man8
	#$(install) -m 644 ../man/pppoe-setup.8 $(DESTDIR)$(mandir)/man8
	#-mkdir -p $(DESTDIR)$(mandir)/man5
	#$(install) -m 644 ../man/pppoe.conf.5 $(DESTDIR)$(mandir)/man5
	-mkdir -p $(DESTDIR)/etc/ppp
	-mkdir -p $(DESTDIR)$(PLUGIN_DIR)
	-echo "# Directory created by rp-pppoe for kernel-mode plugin" > $(DESTDIR)$(PLUGIN_DIR)/README
	@if test -r rp-pppoe.so; then $(install) -m 755 rp-pppoe.so $(DESTDIR)$(PLUGIN_DIR); fi
	@for i in pppoe.conf firewall-standalone firewall-masq ; do \
		if [ ! -f $(DESTDIR)/etc/ppp/$$i ] ; then \
			$(install) -m 644 ../configs/$$i $(DESTDIR)/etc/ppp ; \
		else \
			echo "NOT overwriting existing $(DESTDIR)/etc/ppp/$$i" ;\
			$(install) -m 644 ../configs/$$i $(DESTDIR)/etc/ppp/$$i-$(VERSION) ;\
		fi ;\
	done
	@if [ ! -f $(DESTDIR)$(PPPOESERVER_PPPD_OPTIONS) ] ; then \
		$(install) -m 644 ../configs/pppoe-server-options $(DESTDIR)$(PPPOESERVER_PPPD_OPTIONS) ; \
	else \
		echo "NOT overwriting existing $(DESTDIR)$(PPPOESERVER_PPPD_OPTIONS)"; \
		$(install) -m 644 ../configs/pppoe-server-options $(DESTDIR)$(PPPOESERVER_PPPD_OPTIONS)-example ; \
	fi
	@if [ -f /etc/redhat-release ] ; then \
		echo "Looks like a Red Hat system; installing $(DESTDIR)/etc/rc.d/init.d/pppoe" ; \
		mkdir -p $(DESTDIR)/etc/rc.d/init.d ;\
		$(install) -m 755 ../scripts/pppoe-init $(DESTDIR)/etc/rc.d/init.d/pppoe ; \
	fi
	@if [ -f /etc/turbolinux-release ] ; then \
		echo "Looks like a TurboLinux system; installing $(DESTDIR)/etc/rc.d/init.d/pppoe" ; \
		mkdir -p $(DESTDIR)/etc/rc.d/init.d ;\
		$(install) -m 755 ../scripts/pppoe-init-turbolinux $(DESTDIR)/etc/rc.d/init.d/pppoe ; \
	fi
	@if [ -f /etc/SuSE-release ] ; then \
		echo "Looks like a SuSE Linux system; installing $(DESTDIR)/etc/rc.d/init.d/pppoe" ; \
		mkdir -p $(DESTDIR)/etc/rc.d/init.d ;\
		$(install) -m 755 ../scripts/pppoe-init-suse $(DESTDIR)/etc/rc.d/init.d/pppoe ; \
	fi

	@if [ -f l2tp/handlers/sync-pppd.so ] ; then \
		mkdir -p $(DESTDIR)/usr/lib/l2tp/plugins ; \
		$(install) -m 755 l2tp/handlers/sync-pppd.so $(DESTDIR)/usr/lib/l2tp/plugins ; \
		mkdir -p $(DESTDIR)/etc/l2tp ; \
		$(install) -m 600 l2tp/l2tp.conf $(DESTDIR)/etc/l2tp/l2tp.conf.example ; \
	fi
	@echo ""
	@echo "Type 'pppoe-setup' to configure the software."

servpoet-tgz: distro-servpoet
	cd .. && tar cvf servpoet-$(VERSION)$(BETA).tar servpoet-$(VERSION)$(BETA)
	gzip -f -v -9 ../servpoet-$(VERSION)$(BETA).tar
	rm -rf ../servpoet-$(VERSION)$(BETA)

tgz: distro
	cd .. && tar cvf rp-pppoe-$(VERSION)$(BETA).tar rp-pppoe-$(VERSION)$(BETA)
	gzip -f -v -9 ../rp-pppoe-$(VERSION)$(BETA).tar
	rm -rf ../rp-pppoe-$(VERSION)$(BETA)

distro-servpoet: distro
	cp ../servpoet.spec ../rp-pppoe-$(VERSION)$(BETA)
	$(MAKE) -C licensed-only distro VERSION=$(VERSION) BETA=$(BETA)
	mv ../rp-pppoe-$(VERSION)$(BETA) ../servpoet-$(VERSION)$(BETA)

distro:
	rm -rf ../rp-pppoe-$(VERSION)$(BETA)
	mkdir ../rp-pppoe-$(VERSION)$(BETA)
	for i in README SERVPOET go go-gui rp-pppoe.spec ; do \
		cp ../$$i ../rp-pppoe-$(VERSION)$(BETA) || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/gui
	for i in en.msg ja.msg Makefile.in tkpppoe.in wrapper.c tkpppoe.1 pppoe-wrapper.1 ; do \
		cp ../gui/$$i ../rp-pppoe-$(VERSION)$(BETA)/gui || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/gui/html
	for i in mainwin-busy.png mainwin-nonroot.png mainwin.png props-advanced.png props-basic.png props-nic.png props-options.png tkpppoe.html ; do \
		cp ../gui/html/$$i ../rp-pppoe-$(VERSION)$(BETA)/gui/html || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/configs
	for i in firewall-masq firewall-standalone pap-secrets pppoe-server-options pppoe.conf ; do \
		cp ../configs/$$i ../rp-pppoe-$(VERSION)$(BETA)/configs || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/doc
	for i in CHANGES KERNEL-MODE-PPPOE HOW-TO-CONNECT LICENSE PROBLEMS ; do \
		cp ../doc/$$i ../rp-pppoe-$(VERSION)$(BETA)/doc || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/man
	for i in pppoe-connect.8 pppoe-setup.8 pppoe-start.8 pppoe-status.8 pppoe-stop.8 pppoe-server.8 pppoe-sniff.8 pppoe.8 pppoe-relay.8 pppoe.conf.5 ; do \
		cp ../man/$$i ../rp-pppoe-$(VERSION)$(BETA)/man || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/scripts
	for i in pppoe-connect.in pppoe-init-suse.in pppoe-init-turbolinux.in pppoe-init.in pppoe-setup.in pppoe-start.in pppoe-stop.in pppoe-status ; do \
		cp ../scripts/$$i ../rp-pppoe-$(VERSION)$(BETA)/scripts || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/src
	for i in Makefile.in install-sh common.c config.h.in configure configure.in debug.c discovery.c if.c md5.c md5.h ppp.c pppoe-server.c pppoe-sniff.c pppoe.c pppoe.h pppoe-server.h plugin.c relay.c relay.h ; do \
		cp ../src/$$i ../rp-pppoe-$(VERSION)$(BETA)/src || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/src/libevent
	for i in Makefile.in event.c event.h event_tcp.c event_tcp.h eventpriv.h hash.c hash.h event_sig.c ; do \
		cp ../src/libevent/$$i ../rp-pppoe-$(VERSION)$(BETA)/src/libevent || exit 1; \
	done
	mkdir ../rp-pppoe-$(VERSION)$(BETA)/src/plugin

distro-beta: beta-check
	$(MAKE) distro BETA=-BETA-$(BETA)

beta-check:
	@if test "$(BETA)" = "" ; then \
		echo "Usage: make distro-beta BETA=<x>"; \
		exit 1; \
	fi

rpms: tgz
	cp ../rp-pppoe-$(VERSION).tar.gz /usr/src/redhat/SOURCES
	gpg --detach-sign /usr/src/redhat/SOURCES/rp-pppoe-$(VERSION).tar.gz
	cd ..; \
	rpm -ba rp-pppoe.spec
	rpm --addsign /usr/src/redhat/SRPMS/rp-pppoe-$(VERSION)-1.src.rpm \
		/usr/src/redhat/RPMS/i386/rp-pppoe-$(VERSION)-1.i386.rpm \
		/usr/src/redhat/RPMS/i386/rp-pppoe-gui-$(VERSION)-1.i386.rpm

servpoet-rpms: servpoet-tgz
	cp ../servpoet-$(VERSION).tar.gz /usr/src/redhat/SOURCES
	cd .. && rpm -ba servpoet.spec

clean:
	rm -f *.o pppoe pppoe-sniff pppoe-server core rp-pppoe.so plugin/*.o plugin/libplugin.a *~
	test -f licensed-only/Makefile && $(MAKE) -C licensed-only clean || true
	test -f libevent/Makefile && $(MAKE) -C libevent clean || true
	test -f l2tp/Makefile && $(MAKE) -C l2tp clean || true

distclean: clean
	rm -f Makefile config.h config.cache config.log config.status
	rm -f libevent/Makefile

=== debian/changelog ===
rp-pppoe (3.10-1) unstable; urgency=low

  * Initial release for Maemo 5 (N900).

 -- unknown <itcl.george@gmail.com>  Sun, 30 Jan 2011 19:47:32 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd src && ./configure
	$(MAKE) -C src
	#docbook-to-man debian/rp-pppoe.sgml > rp-pppoe.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	#rm -f src/*.o
	rm -f src/pppoe-relay
	rm -f src/*.o src/pppoe src/pppoe-sniff src/pppoe-server src/core src/rp-pppoe.so src/plugin/*.o src/plugin/libplugin.a *~
	rm -f src/libevent/*.o src/libevent/*.a
	#test -f licensed-only/Makefile && make -C licensed-only clean || true
	#test -f libevent/Makefile && make -C libevent clean || true


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rp-pppoe.
	$(MAKE) -C src execprefix=/usr DESTDIR=$(CURDIR)/debian/rp-pppoe install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rp-pppoe 3.10-2

=== gui/Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # $Id$
 #***********************************************************************
 DEFINES=
-prefix=/usr
-exec_prefix=${prefix}
+prefix=/opt/usr
+exec_prefix=/opt/usr
 mandir=${prefix}/share/man
 install=/scratchbox/tools/bin/install -c
 install_dir=/scratchbox/tools/bin/install -c -d

=== src/Makefile ===
--- 
+++ 
@@ -19,10 +19,10 @@
 VERSION=3.10
 
 DEFINES=
-prefix=/usr
-exec_prefix=${prefix}
+prefix=/opt/usr
+exec_prefix=/opt/usr
 mandir=${prefix}/share/man
-docdir=/usr/share/doc/rp-pppoe-$(VERSION)
+docdir=/opt/usr/share/doc/rp-pppoe-$(VERSION)
 install=/scratchbox/tools/bin/install -c
 install_dir=/scratchbox/tools/bin/install -c -d
 sbindir=${exec_prefix}/sbin
@@ -42,7 +42,7 @@
 
 # Program paths
 PPPOE_PATH=$(sbindir)/pppoe
-PPPD_PATH=/usr/sbin/pppd
+PPPD_PATH=pppd
 
 # Include ServPoET version if we're building for ServPoET
 
@@ -145,28 +145,27 @@
 	$(install) -m 755 ../scripts/pppoe-status $(DESTDIR)$(sbindir)
 	$(install) -m 755 ../scripts/pppoe-stop $(DESTDIR)$(sbindir)
 	$(install) -m 755 ../scripts/pppoe-setup $(DESTDIR)$(sbindir)
-	#Not installing documentation in order to conserve space.
-	#-mkdir -p $(DESTDIR)$(docdir)
-	#$(install) -m 644 ../doc/CHANGES $(DESTDIR)$(docdir)
-	#$(install) -m 644 ../doc/KERNEL-MODE-PPPOE $(DESTDIR)$(docdir)
-	#$(install) -m 644 ../doc/HOW-TO-CONNECT $(DESTDIR)$(docdir)
-	#$(install) -m 644 ../doc/LICENSE $(DESTDIR)$(docdir)
-	#$(install) -m 644 ../README $(DESTDIR)$(docdir)
-	#$(install) -m 644 ../SERVPOET $(DESTDIR)$(docdir)
-	#$(install) -m 644 ../configs/pap-secrets $(DESTDIR)$(docdir)
-	#-mkdir -p $(DESTDIR)$(mandir)/man8
-	#for i in $(TARGETS) ; do \
-	#	if test -f ../man/$$i.8 ; then \
-	#		$(install) -m 644 ../man/$$i.8 $(DESTDIR)$(mandir)/man8 || exit 1; \
-	#	fi; \
-	#done
-	#$(install) -m 644 ../man/pppoe-start.8 $(DESTDIR)$(mandir)/man8
-	#$(install) -m 644 ../man/pppoe-stop.8 $(DESTDIR)$(mandir)/man8
-	#$(install) -m 644 ../man/pppoe-status.8 $(DESTDIR)$(mandir)/man8
-	#$(install) -m 644 ../man/pppoe-connect.8 $(DESTDIR)$(mandir)/man8
-	#$(install) -m 644 ../man/pppoe-setup.8 $(DESTDIR)$(mandir)/man8
-	#-mkdir -p $(DESTDIR)$(mandir)/man5
-	#$(install) -m 644 ../man/pppoe.conf.5 $(DESTDIR)$(mandir)/man5
+	-mkdir -p $(DESTDIR)$(docdir)
+	$(install) -m 644 ../doc/CHANGES $(DESTDIR)$(docdir)
+	$(install) -m 644 ../doc/KERNEL-MODE-PPPOE $(DESTDIR)$(docdir)
+	$(install) -m 644 ../doc/HOW-TO-CONNECT $(DESTDIR)$(docdir)
+	$(install) -m 644 ../doc/LICENSE $(DESTDIR)$(docdir)
+	$(install) -m 644 ../README $(DESTDIR)$(docdir)
+	$(install) -m 644 ../SERVPOET $(DESTDIR)$(docdir)
+	$(install) -m 644 ../configs/pap-secrets $(DESTDIR)$(docdir)
+	-mkdir -p $(DESTDIR)$(mandir)/man8
+	for i in $(TARGETS) ; do \
+		if test -f ../man/$$i.8 ; then \
+			$(install) -m 644 ../man/$$i.8 $(DESTDIR)$(mandir)/man8 || exit 1; \
+		fi; \
+	done
+	$(install) -m 644 ../man/pppoe-start.8 $(DESTDIR)$(mandir)/man8
+	$(install) -m 644 ../man/pppoe-stop.8 $(DESTDIR)$(mandir)/man8
+	$(install) -m 644 ../man/pppoe-status.8 $(DESTDIR)$(mandir)/man8
+	$(install) -m 644 ../man/pppoe-connect.8 $(DESTDIR)$(mandir)/man8
+	$(install) -m 644 ../man/pppoe-setup.8 $(DESTDIR)$(mandir)/man8
+	-mkdir -p $(DESTDIR)$(mandir)/man5
+	$(install) -m 644 ../man/pppoe.conf.5 $(DESTDIR)$(mandir)/man5
 	-mkdir -p $(DESTDIR)/etc/ppp
 	-mkdir -p $(DESTDIR)$(PLUGIN_DIR)
 	-echo "# Directory created by rp-pppoe for kernel-mode plugin" > $(DESTDIR)$(PLUGIN_DIR)/README
@@ -296,3 +295,6 @@
 distclean: clean
 	rm -f Makefile config.h config.cache config.log config.status
 	rm -f libevent/Makefile
+	rm -f ../scripts/pppoe-connect ../scripts/pppoe-start ../scripts/pppoe-stop ../scripts/pppoe-init ../scripts/pppoe-setup ../scripts/pppoe-init-suse ../scripts/pppoe-init-turbolinux
+
+update-version:

=== src/libevent/Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id$
#
# Makefile for event-handling library
#
# Copyright 2002 Roaring Penguin Software Inc.
#
# This software may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
# LIC: GPL

OBJS=event.o event_tcp.o hash.o event_sig.o
SRCS=$(OBJS:.o=.c)
HDRS=event.h event_tcp.h eventpriv.h hash.h
CFLAGS=-g -O2 -Wall -Wstrict-prototypes -I.. $(DEFINES)
AR=ar

all: libevent.a

libevent.a: $(OBJS)
	rm -f libevent.a
	$(AR) -cq libevent.a $(OBJS)
	ranlib libevent.a

event.o: event.c $(HDRS)
	gcc $(CFLAGS) -c -o event.o event.c

hash.o: hash.c $(HDRS)
	gcc $(CFLAGS) -c -o hash.o hash.c

event_sig.o: event_sig.c $(HDRS)
	gcc $(CFLAGS) -c -o event_sig.o event_sig.c

event_tcp.o: event_tcp.c $(HDRS)
	gcc $(CFLAGS) -c -o event_tcp.o event_tcp.c

clean: FORCE
	rm -f *.a *.o *~

FORCE:

.phony: FORCE

=== debian/changelog ===
rp-pppoe (3.10-2) unstable; urgency=low

  * 'Optified' package.

 -- unknown <itcl.george@gmail.com>  Sun, 05 Aug 2011 10:56:30 -0500

=== debian/control ===
Source: rp-pppoe
Priority: extra
Maintainer: unknown <itcl.george@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: rp-pppoe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Description: RP-PPPOE is a free implementation for Linux of the PPPoE protocol used by many DSL providers.

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd src && ./configure
+	cd src && ./configure --prefix=/opt/usr --exec-prefix=/opt/usr
 	$(MAKE) -C src
 	#docbook-to-man debian/rp-pppoe.sgml > rp-pppoe.1
 
@@ -64,7 +64,9 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/rp-pppoe.
-	$(MAKE) -C src execprefix=/usr DESTDIR=$(CURDIR)/debian/rp-pppoe install
+	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/rp-pppoe install
+	mv $(CURDIR)/debian/rp-pppoe/* $(CURDIR)/debian/tmp/
+	rm -rf $(CURDIR)/debian/tmp/usr
 
 
 # Build architecture-independent files here.
@@ -104,3 +106,4 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
+
